<div class="wrapper">
  <div>temp-template-component</div>
  <form #f="ngForm" (ngSubmit)="onSubmit()">
    <input type="text" name="username" ngModel required/><br>
    <input type="password" name="password" ngModel required/><br>
    <input type="email" name="email" ngModel email #email="ngModel" required/><br>
    <div *ngIf="!email.valid && email.touched" style="border: 1px solid red; color: darkred; background: #ffd8d3">invalid email input</div>
    <div ngModelGroup="radio-options">
      <div *ngFor="let value of radioData">
        <label>
          <input type="radio" [value]="value" name="radio-group" ngModel/>
          {{ value }}
        </label>
      </div>
      <select name="select-options" ngModel>
        <!--add [ngModel]="0" in <select> for selecting default value (in this case 1st because of value=0)-->
        <option *ngFor="let value of optionData; let i = index" [value]="i">{{ value }}</option>
      </select>
    </div>
    <input type="submit" [disabled]="!f.valid"/>
  </form>
</div>
